For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Ticket object
          • GET/tickets
          • POST/tickets
          • GET/tickets/{id}
          • PATCH/tickets/{id}
          • GET/tickets/{ticket_id}/viewers
          • GET/tickets/live-search
          • GET/tickets/meta/patch/{id}
          • GET/tickets/meta/post
          • GET/tickets/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsTickets

/tickets

POST
/ticketing/v1/tickets
POST
/api/ticketing/v1/tickets
$curl -X POST https://api.merge.dev/api/ticketing/v1/tickets \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
201Created
1{
2 "model": {
3 "id": "0958cbc6-6040-430a-848e-aafacbadf4ae",
4 "remote_id": "19202938",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "name": "Please add more integrations",
8 "assignees": [
9 "17a54124-287f-494d-965e-3c5b330c9a68"
10 ],
11 "assigned_teams": [
12 "4857c306-c1f9-489e-a6b6-90902f736dfe"
13 ],
14 "creator": "string",
15 "due_date": "2022-10-11T00:00:00Z",
16 "status": "OPEN",
17 "description": "Can you please add more integrations? It'll make syncing data much easier!",
18 "collections": [
19 "fb8c55b6-1cb8-4b4c-9fb6-17924231619d"
20 ],
21 "ticket_type": "incident",
22 "account": "0958cbc6-6040-430a-848e-aafacbadf4ae",
23 "contact": "65c345ba-6870-4974-87ba-dd31509c367a",
24 "parent_ticket": "75b33d04-30d2-4f3e-be45-27838bc94342",
25 "attachments": [
26 "42747df1-95e7-46e2-93cc-66f1191edca5",
27 "92f972d0-2526-434b-9409-4c3b468e08f0"
28 ],
29 "access_level": "PRIVATE",
30 "permissions": [
31 {}
32 ],
33 "tags": [
34 "enterprise",
35 "other-tag"
36 ],
37 "roles": [
38 "21a54124-397f-494d-985e-3c5b330b8a68",
39 "17a54124-287f-494d-965e-3c5b330c9a68"
40 ],
41 "ticket_url": "https://thirdpartysoftware.com/project/3/issue/1",
42 "priority": "HIGH",
43 "remote_created_at": "2021-11-10T00:00:00Z",
44 "remote_updated_at": "2021-12-09T00:00:00Z",
45 "completed_at": "2021-12-09T00:00:00Z",
46 "remote_was_deleted": true,
47 "field_mappings": {
48 "organization_defined_targets": {
49 "custom_key": "custom_value"
50 },
51 "linked_account_defined_targets": {
52 "custom_key": "custom_value"
53 }
54 },
55 "remote_data": [
56 {
57 "path": "/platform-endpoint",
58 "data": null
59 }
60 ],
61 "remote_fields": [
62 {
63 "remote_field_class": {
64 "id": "string",
65 "display_name": "string",
66 "remote_key_name": "string",
67 "description": "string",
68 "is_custom": true,
69 "is_common_model_field": true,
70 "is_required": true,
71 "field_type": "string",
72 "field_format": "string",
73 "field_choices": [
74 "string"
75 ],
76 "item_schema": {
77 "item_type": "string",
78 "item_format": "string",
79 "item_choices": [
80 "string"
81 ]
82 }
83 },
84 "value": "string"
85 }
86 ]
87 },
88 "warnings": [
89 {
90 "title": "Unrecognized Field",
91 "detail": "An unrecognized field, age, was passed in with request data.",
92 "problem_type": "UNRECOGNIZED_FIELD",
93 "source": {
94 "pointer": "/age"
95 },
96 "block_merge_link": true,
97 "raw_error": "string",
98 "error_code": 1
99 }
100 ],
101 "errors": [
102 {
103 "title": "Missing Required Field",
104 "detail": "custom_fields is a required field on model.",
105 "problem_type": "MISSING_REQUIRED_FIELD",
106 "source": {
107 "pointer": "/model/custom_fields"
108 },
109 "block_merge_link": true,
110 "raw_error": "string",
111 "error_code": 1
112 }
113 ],
114 "logs": [
115 {
116 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
117 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
118 "log_summary": {
119 "url": "www.exampleintegration.com/api/v1/exampleapi",
120 "method": "POST",
121 "status_code": 200
122 }
123 }
124 ]
125}

Creates a Ticket object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/tickets

Next

/tickets/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The Ticket object is used to represent a ticket, issue, task or case.

Usage Example

TODO

Response

modelobject

Description

The Ticket object is used to represent a ticket, issue, task or case.

Usage Example

TODO

warningslist of objects
errorslist of objects
logslist of objects